package com.engine.organization.service;

import com.engine.organization.entity.hrmresource.param.HrmResourceImportParam;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/06/27
 * @version: 1.0
 */
public interface HrmResourceImportProcessService {
    /**
     * 初始化数据
     *
     * @param request
     */
    Map<String, Object> init(HttpServletRequest request);

    /**
     * 用于处理把所得到的组织和人员结构信息放入系统
     *
     * @param map
     * @return
     */
    void processMap(Map<String, HrmResourceImportParam> map);
}
